<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class dag_event extends Model
{
    use HasFactory;

    protected $fillable = [
        'dag_id',
        'dag_run_id',
        'event_type',
        'message',
        'metadata',
    ];

    protected $casts = [
        'metadata' => 'array',
    ];

    /**
     * Связь с моделью DAG.
     */
    public function dag()
    {
        return $this->belongsTo(dag::class);
    }

    /**
     * Связь с моделью DAGRun.
     */
    public function dagRun()
    {
        return $this->belongsTo(dag_run::class);
    }
}
