<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class dag_historie extends Model
{
    use HasFactory;

    protected $fillable = [
        'dag_id',
        'user_id',
        'change_description',
        'changed_data',
    ];

    protected $casts = [
        'changed_data' => 'array',
    ];

    /**
     * Связь с моделью DAG.
     */
    public function dag()
    {
        return $this->belongsTo(DAG::class);
    }

    /**
     * Связь с моделью User.
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
