<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('airflows', function (Blueprint $table) {
            $table->id();
            $table->string('name'); // Имя кластера
            $table->string('url'); // URL или IP кластера Airflow
            $table->string('username')->nullable(); // Логин для доступа (если используется)
            $table->string('password')->nullable(); // Пароль для доступа (если используется)
            $table->string('api_token')->nullable(); // Токен для доступа (если используется)
            $table->string('port')->default('8080'); // Порт Airflow API
            $table->string('version')->nullable(); // Версия Airflow
            $table->boolean('is_active')->default(true); // Статус кластера (активен/неактивен)
            $table->foreignId('user_id')->constrained(); // Кто создал/управляет кластером
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('airflows');
    }
};
