<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dag_runs', function (Blueprint $table) {
            $table->id();
            $table->foreignId('dag_id')->constrained()->onDelete('cascade'); // Связь с DAG
            $table->string('run_id')->unique(); // Уникальный идентификатор выполнения (из Airflow)
            $table->foreignId('airflow_id')->after('dag_id')->constrained('airflows')->onDelete('cascade');
            $table->enum('status', ['queued', 'running', 'success', 'failed'])->default('queued'); // Статус выполнения
            $table->timestamp('execution_date')->nullable(); // Дата выполнения
            $table->timestamp('start_date')->nullable(); // Время начала
            $table->timestamp('end_date')->nullable(); // Время окончания
            $table->longText('logs')->nullable(); // Логи выполнения
            $table->string('queue')->nullable(); // Название очереди
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dag_runs');
    }
};
