<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dag_histories', function (Blueprint $table) {
            $table->id();
            $table->foreignId('dag_id')->constrained()->onDelete('cascade'); // Связь с DAG
            $table->foreignId('user_id')->constrained()->onDelete('cascade'); // Пользователь, сделавший изменение
            $table->text('change_description')->nullable(); // Описание изменения
            $table->json('changed_data')->nullable(); // Данные изменений
            $table->timestamps(); // created_at будет временем изменения
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dag_histories');
    }
};
