<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dag_events', function (Blueprint $table) {
            $table->id();
            $table->foreignId('dag_id')->constrained()->onDelete('cascade');
            $table->foreignId('dag_run_id')->nullable()->constrained()->onDelete('cascade');
            $table->string('event_type'); // Тип события: 'failure', 'success', 'task_failed', и т.д.
            $table->text('message')->nullable(); // Дополнительное сообщение
            $table->json('metadata')->nullable(); // Дополнительные данные
            $table->timestamps(); // created_at будет временем события
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dag_events');
    }
};
