<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('task_instances', function (Blueprint $table) {
            $table->id();
            $table->foreignId('dag_id')->constrained()->onDelete('cascade');
            $table->foreignId('dag_run_id')->constrained()->onDelete('cascade');
            $table->foreignId('airflow_id')->after('dag_id')->constrained('airflows')->onDelete('cascade');
            $table->string('task_id'); // ID задачи в Airflow
            $table->enum('state', [
                'success',
                'running',
                'failed',
                'queued',
                'skipped',
                'up_for_retry',
                'upstream_failed',
                'up_for_reschedule',
                'none',
            ])->nullable();
            $table->timestamp('execution_date')->nullable();
            $table->timestamp('start_date')->nullable();
            $table->timestamp('end_date')->nullable();
            $table->longText('log')->nullable(); // Логи выполнения задачи
            $table->json('metadata')->nullable(); // Дополнительные данные
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('task_instances');
    }
};
