<div class="p-6 bg-white border border-gray-200 rounded-lg shadow">
    <div class="flex justify-between items-center">
        <h2 class="text-xl font-bold text-gray-900">
            Airflow Cluster: {{ $airflow->name }}
        </h2>
        <span class="text-sm text-gray-500">
            Updated at: {{ now()->format('H:i:s') }}
        </span>
    </div>

    <div class="mt-4">
        <p><strong>URL:</strong> <a href="{{ $airflow->url }}" class="text-blue-500" target="_blank">{{ $airflow->url }}</a></p>
        <p><strong>Version:</strong> {{ $airflow->version }}</p>
        <p><strong>Port:</strong> {{ $airflow->port }}</p>
        <p><strong>Status:</strong>
            <span class="px-2 py-1 rounded-full text-sm {{ $airflow->is_active ? 'bg-green-100 text-green-800' : 'bg-red-100 text-red-800' }}">
                {{ $airflow->is_active ? 'Active' : 'Inactive' }}
            </span>
        </p>
        <p><strong>Managed by:</strong> {{ $airflow->user->name }}</p>
    </div>

    <div class="mt-4">
        <h3 class="text-lg font-semibold text-gray-800">DAGs in this cluster:</h3>
        <ul class="mt-2 list-disc list-inside">
            @foreach ($airflow->dags as $dag)
                <li>{{ $dag->name }}</li>
            @endforeach
        </ul>
    </div>
</div>

<script>
    document.addEventListener('livewire:load', function () {
        setInterval(() => {
            Livewire.emit('refreshData');
        }, 5000);
    });
</script>
