<div class="bg-white shadow-lg rounded-xl p-6 overflow-hidden">
    @if(empty($data) || count($data) == 0)
        <div class="flex flex-col items-center justify-center">
            <svg class="w-16 h-16 text-gray-400" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 17v-2a4 4 0 00-4-4H3m18 0h-2a4 4 0 00-4 4v2m-4-4v6m4-6v6M7 17v6m10-6v6"/>
            </svg>
            <p class="text-gray-600 mt-4">Нет данных для отображения.</p>
        </div>
    @else
        <table class="min-w-full bg-gray-50 rounded-lg shadow-md">
            <thead class="bg-gradient-to-r from-gray-100 to-gray-200 text-gray-700">
            <tr>
                @foreach($headers as $header)
                    <th class="px-6 py-4 text-left text-sm font-semibold text-gray-800 border-b border-gray-300">
                        {{ $header }}
                    </th>
                @endforeach
            </tr>
            </thead>
            <tbody class="text-gray-700">
            @foreach($data as $row)
                <tr class="bg-white hover:bg-gray-50 transition-colors shadow-sm hover:shadow-lg">
                    @foreach($row as $cell)
                        <td class="px-6 py-4 border-b border-gray-200 text-sm">
                            {{ $cell }}
                        </td>
                    @endforeach
                </tr>
            @endforeach
            </tbody>
        </table>
    @endif
</div>
