<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified',
])->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');

    Route::get('/airflow', function () {
        return view('pages.admin.airflows');
    })->name('admin.airflows');

    Route::get('/airflow/{id}', function (int $id) {
        return view('pages.admin.airflow', compact('id'));
    })->name('airflow.view');

    Route::get('/dag', function () {
        return view('pages.admin.dags');
    })->name('dags.list');
});
